Summary:	French man pages from the Linux Documentation Project
Name:		man-pages-fr
Version:	2.39
Release:	7%{?dist}
License:	Distributable
Group:		Documentation
URL:		http://manpagesfr.free.fr/
Source0:	http://manpagesfr.free.fr/download/%{name}-%{version}.tar.bz2
Source1:	http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Manual pages from the Linux Documentation Project, translated into French. Also
includes supplemental pages provided by Dr. Patrick Atlas and Dr. Gerard
Delafond.

%prep
%setup -q -D -a 1 -n man-pages-fr-2.39.0
##%setup -q -D -a 2
##%patch1 -p1 -b .aumix_missTH
# pick up the supplemental pages, which overwrite a few files too
cp -a pagesdeman/usr/share/man/fr/* .
mv -f pagesdeman/LISEZ_MOI LISEZ_MOI-mansupfr
rm -rf pagesdeman/

%build

%install
rm -fr $RPM_BUILD_ROOT
# Create all the directories to be sure this package owns them
for n in 1 2 3 4 5 6 7 8 9 ; do
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/fr/man${n}
done

# gawk haven't coding, but it's in latin1
for i in man?/*; do
  CODING=`file -i ${i} | cut -d"=" -f2`;
    if [[ "${CODING}" == "utf-8" ||  "${CODING}" == "us-ascii" || "${CODING}" == "iso-8859-1" ]]
    then
      if [ "${CODING}" != "UTF-8" ]
      then
	iconv -f ${CODING} -t UTF-8 < ${i} > ${i}.new
        install -m 0644 ${i}.new $RPM_BUILD_ROOT%{_mandir}/fr/${i}
	rm -rf ${i}.new
      else
	install -m 0644 ${i} $RPM_BUILD_ROOT%{_mandir}/fr/${i}
      fi
    else 
	iconv -f LATIN1 -t UTF-8 < ${i} > ${i}.new
        install -m 0644 ${i}.new $RPM_BUILD_ROOT%{_mandir}/fr/${i}
        rm -rf ${i}.new
    fi
done

##make install-install DESTDIR=$RPM_BUILD_ROOT

# Remove files already included in other packages
# alsa-utils
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/alsaconf.8
# cups
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{backend,cancel,filter,lp,lpoptions,lppasswd,lpq,lpr,lprm,lpstat,rnano}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man3/cups-config.3
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/{classes.conf,cupsd.conf,mime.convs,mime.types,printers.conf}.5
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/{accept,cups-lpd,cups-polld,cupsaddsmb,cupsd,enable,lpadmin,lpc,lpinfo,lpmove,reject}.8
#enemies-of-carlotta
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/enemies-of-carlotta.1
# fcron
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{fcrondyn,fcrontab}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/{fcron.conf,fcrontab}.5
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/fcron.8
# gputils
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{gpasm,gpdasm,gplib,gplink,gpstrip,gputils,gpvc,gpvo}.1
# latex2rtf
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/latex2rtf.1
# man
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{apropos,man,man2html,whatis}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/man.config.5
#nano
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/nano.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/nanorc.5
# net-tools
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{dnsdomainname,domainname,hostname}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/ethers.5
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/{arp,ifconfig,plipconfig,route,slattach}.8
# shadow-utils
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{chage,gpasswd,newgrp,sg}.1
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man3/{getspnam,shadow}.3
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man5/{faillog,shadow}.5
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man8/{adduser,chpasswd,faillog,groupadd,groupdel,groupmod,grpck,lastlog,newusers,pwck,pwconv,useradd,userdel,usermod}.8
# vim
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/{rview,view,vim,vimdiff,vimtutor}.1
#xawtv
rm -f $RPM_BUILD_ROOT%{_mandir}/fr/man1/xawtv.1

LANG=fr ./cree_index_man.sh $RPM_BUILD_ROOT%{_mandir}/fr/

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc changements changements.anciens LISEZ_MOI LISEZ_MOI-mansupfr
%{_mandir}/fr/

%changelog
* Mon May 7 2007 Marcela Maslanova <mmaslano@redhat.com> 2.39-7
- Resolves: #215431

* Mon Oct 13 2006 Marcela Maslanova <mmaslano@redhat.com> 2.39-6
- rebuilt

* Mon Oct 2 2006 Marcela Maslanova <mmaslano@redhat.com> 2.39-5
- fix spec (#208826)

* Thu Sep 06 2006 Marcela Maslanova <mmaslano@redhat.com> 2.39-4
- fix spec (#205349)

* Mon Sep 04 2006 Marcela Maslanova <mmaslano@redhat.com> 2.39-3
- new version from second source
- removed patch

* Wed Aug 30 2006 Marcela Maslanova <mmaslano@redhat.com> 2.39-2
- new version of man-pages

* Wed Aug 09 2006 Marcela Maslanova <mmaslano@redhat.com> 2.33.0-1
- new version of man-pages from source0

* Mon Jul 24 2006 Marcela Maslanova <mmaslano@redhat.com> 2.22.0-4
- new spec file for better encoding

* Fri Jul 21 2006 Marcela Maslanova <mmaslano@redhat.com> 2.22.0-3
- deleting conflicts in man-pages

* Wed Jul 19 2006 Marcela Maslanova <mmaslano@redhat.com> 2.22.0-2
- make from sources from Alain Portal new version of French man-pages
- man-pages-fr-aumix_missTH.patch - missed header
- used Spec file for version 2.16 from Alain Portal

* Thu Jul 13 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.16.0-1
- Update to 2.16.0
- New extra tarball

* Wed Jul 12 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.15.0-1
- Update to 2.15.0

* Wed Jul 12 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.14.0-1
- Update to 2.14.0

* Tue Jul 11 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.13.0-1
- Update to 2.13.0

* Mon Jul 10 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.12.0-1
- Update to 2.12.0

* Mon Jul 10 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.11.0-1
- Update to 2.11.0

* Fri Jul  7 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.10.0-1
- Update to 2.10.0
- New extra tarball

* Thu Jul  6 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.09.0-1
- Update to 2.09.0

* Wed Jul  5 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.08.0-1
- Update to 2.08.0

* Mon Jul  3 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.07.0-1
- Update to 2.07.0
- New extra tarball

* Fri Jun 30 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.06.0-1
- Update to 2.06.0

* Wed Jun 28 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.05.0-1
- Update to 2.05.0

* Tue Jun 27 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.04.0-1
- Update to 2.04.0
- New extra tarball
- Set LANG to fr before creating Index.?

* Thu Jun 15 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.03.0-1
- Update to 2.03.0

* Wed Jun 14 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.02.0-1
- Update to 2.02.0

* Tue May 30 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.01.0-1
- Update to 2.01.0

* Tue May 30 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 2.00.0-1
- Update to 2.00.0
- Add the new man-pages-extras-fr tarball.

* Fri May 12 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 1.70.0-1
- Update to 1.70.0

* Thu May 11 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 1.69.1-1
- Update to 1.69.1

* Wed May 10 2006 Alain Portal <aportal AT univ-montp2 DOT fr> 1.69.0-1
- Update to 1.69.0
- Remove some others conflicting pages from ${SOURCE1}
- Add BR because ${SOURCE0} pages are utf8 encoded
  and ${SOURCE1} are ASCII, ISO-8859-1 or ISO-8859-15 encoded

* Wed Nov  2 2005 Alain Portal <aportal AT univ-montp2 DOT fr> 1.64.0-1
- Update to 1.64.0
- Remove latex2rtf.1: package isn't provided by Fedora
- Remove gputils pages that are provided by upstream

* Thu Jul  7 2005 Matthias Saou <http://freshrpms.net/> 1.62.0-1
- Update to 1.62.0, remove very old and now included original LDP man pages.
- Spec file cleanup : Add URL, simplify installation.
- Go through all know conflicting man pages and separate them by package.

* Wed Sep 29 2004 Leon Ho <llch@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 0.9.7-9
- removed apropos.1, man.1, whatis.1, and man.config.5, because the latest man contains those manpages.

* Wed Sep 17 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-8
- Bump

* Fri Sep 12 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-7
- Clean out core files included in upstream tarball [#101328]

* Wed May 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-6.1
- Bumped release and rebuilt

* Wed May 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-6
- Dropped ethers.5 and domainname.1 manpages as they are in net-tools now.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.7-5
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.9.7-4
- rebuilt

* Thu Jan  9 2003 Tim Powers <timp@redhat.com> 0.9.7-3
- more pages to remove

* Thu Jan  9 2003 Tim Powers <timp@redhat.com> 0.9.7-2
- remove pages that conflict with other packages

* Thu Jan  9 2003 Paul Gampe <pgampe@redhat.com> 0.9.7-1
- incorporate the three sources of available french manual pages
  to increase coverage

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 0.9-10
- remove lpq.1, lpr.1, and lprm.1 since they conflict with the mas
  mages in the cups package

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.9-9
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9-8
- Update nm.1 (#66666 - I like bugs with attached fixes :)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9-5
- Rebuild. This should fix #51685

* Thu Aug  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Own %%{_mandir}/fr
- s/Copyright/License/

* Sun Apr  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove dnsdomainname.1 and hostname.1, they're now part of net-tools

* Tue Apr  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- fixes to the roff sources

* Tue Dec 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir} and %%{_tmppath}

* Mon May 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
